TextCritical.net - Feature #623

Add ebook creation
08/08/2013 07:21 PM - Luke Murphey

Status: Closed Start date: 09/08/2013
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.1

Description

Add the ability to create ebooks based on the works available in TextCritical.

Subtasks:

Task # 631: Create table of contents

Task # 632: Create title page

Task # 633: Create project info statement

Task # 634: Create page content

Task # 635: Manager command to make epubs
Task # 636: Handle Footnotes

Task # 637: Add associated works page

Task # 638: Break out work rendering CSS
Task # 639: Disable word div wrapping for ePub
Feature # 640: Use full titles for sections

Task # 641: Publish works

Bug # 642: Missing endnotes

Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed

Associated revisions

Revision 527 - 09/09/2013 07:02 PM - Luke Murphey

Added initial code for making an ePub. Reference #623.

Revision 527 - 09/09/2013 07:02 PM - Luke Murphey

Added initial code for making an ePub. Reference #623.

Revision 515 - 09/09/2013 07:02 PM - Luke Murphey

Added initial code for making an ePub. Reference #623.

Revision 540 - 09/13/2013 03:20 AM - Luke Murphey

Removed wrapping of words in ePub documents. Closes #623.

Revision 540 - 09/13/2013 03:20 AM - Luke Murphey

Removed wrapping of words in ePub documents. Closes #623.

Revision 528 - 09/13/2013 03:20 AM - Luke Murphey

Removed wrapping of words in ePub documents. Closes #623.

History

#1 - 08/08/2013 07:21 PM - Luke Murphey

See htitps://github.com/mfrasca/txt2epub for a potential library to use.

#2 - 08/21/2013 10:42 PM - Luke Murphey
https://github.com/mfrasca/txt2epub

These may help

e http://stackoverflow.com/questions/3454894/how-to-programmatically-convert-html-to-epub
e Service that converts Markdown documents to books: https:/leanpub.com/p

#3 - 08/21/2013 10:46 PM - Luke Murphey

A comprehensive eBook convertor: http:/calibre-ebook.com/about

#4 - 08/23/2013 02:56 AM - Luke Murphey
This Python library looks like a good candidate: https://code.google.com/p/python-epub-builder/

#5 - 09/08/2013 06:45 AM - Luke Murphey
- Status changed from New to In Progress
- Assignee set to Luke Murphey

- Target version set to 1.1

#6 - 09/08/2013 06:45 AM - Luke Murphey

Partial ePub support is already implemented. It may be nice to convert this over to PDF too (https://pypi.python.org/pypi/epubmaker/0.3.19b1).

#7 - 09/08/2013 06:24 PM - Luke Murphey

Some info on Interlinear epubs:

o http://www.mobileread.com/forums/showthread.php?t=110981
e http://semanticbible.com/blogos/2006/09/27/

#8 - 09/09/2013 06:27 PM - Luke Murphey

Thought this quote was interesting since these ebooks are basically copies of the TextCritical.net website:

"An ebook is a frozen website packaged in a container.”
--MarySiderwicz, W3C

[Source]

#9 - 09/10/2013 06:11 AM - Luke Murphey

Against Apion in English currently generates a crash.
#10 - 09/13/2013 03:20 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Applied in changeset r540.
